Project

General

Profile

Support #12858

art v1_17 version with e10 support

Added by Eric Flumerfelt over 3 years ago. Updated over 3 years ago.

Status:
Closed
Priority:
Low
Assignee:
Category:
Release
Target version:
-
Start date:
06/06/2016
Due date:
% Done:

100%

Estimated time:
16.00 h
Spent time:
Scope:
Internal
Experiment:
DarkSide
SSI Package:
Duration:

Description

As artdaq will soon be making a new release version with updated dependencies, it would be beneficial to have a version on the art v1_17 branch with support for the e10 qualifier.

Thanks,
Eric

History

#1 Updated by Lynn Garren over 3 years ago

As noted, this will require updated releases of nearly the entire product stack, which is not hard but will take time. Since users of larsoft and nutools will soon be moving to art 2.00.02 or better, I presume that you do not need an associated build of nutools with e10 and art 1.17.

#2 Updated by Eric Flumerfelt over 3 years ago

That's correct. I did categorize the issue as low priority for that reason. Gennadiy mentioned that a new version of fhiclcpp will be forthcoming (with associated v1_17 builds), so I wanted to get this request in as well. This is for DAQ usage until the experiments we manage are willing to make the ROOT 5 -> 6 transition, and we're absolutely sure that artdaq works exactly the same way against both.

#3 Updated by Kyle Knoepfel over 3 years ago

  • Status changed from New to Assigned
  • Assignee set to Lynn Garren
  • Estimated time set to 16.00 h
  • Experiment DarkSide added
  • Experiment deleted (-)

#4 Updated by Lynn Garren over 3 years ago

  • Status changed from Assigned to Resolved
  • % Done changed from 0 to 100

A build of art v1_17_08 is now available for both e10 and e9. We were able to use some products that were already available for art 2.00.

The table below lists the difference in products since art v1_17_07.
Changes are marked by bold font.

product previous release this release notes
art v1_17_07 v1_17_08
messagefacility v1_16_22 v1_16_22a
fhiclcpp v3_12_09 v3_12_10
cetlib v1_15_04 v1_15_05
cpp0x v1_04_13 v1_04_14
boost v1_57_0a v1_57_0b
sqlite v3_08_10_02 v3_08_10_02
clhep v2_2_0_8 v2_2_0_8a
cppunit v1_12_1c v1_12_1d
gccxml v0_9_20150423 v0_9_20150423
tbb v4_4_0 v4_4_3a
root v5_34_32 v5_34_32b
fftw v3_3_4 v3_3_4
libxml2 v2_9_2 v2_9_2
xrootd v3_3_4d v3_3_4e
python v2_7_10 v2_7_10
gsl v1_16a v1_16a for root -q e10:nu
pythia v6_4_28d v6_4_28e for root -q e10:nu
postgresql v9_3_9 v9_3_12 for root -q e10:nu
mysql_client v5_5_45 v5_5_48a for root -q e10:nu
gcc v4_9_3 v4_9_3a

#5 Updated by Lynn Garren over 3 years ago

  • Status changed from Resolved to Closed


Also available in: Atom PDF